Package Details: bitcoin-git v0.18.1.r20975-1

Git Clone URL: https://aur.archlinux.org/bitcoin-git.git (read-only)
Package Base: bitcoin-git
Description: Bitcoin is a peer-to-peer network based digital currency. This package provides bitcoin-core binaries: bitcoind, bitcoin-qt, bitcoin-tx, and bitcoin-cli
Upstream URL: https://bitcoin.org
Keywords: bitcoin cryptocurrency wallet
Licenses: MIT
Conflicts: bitcoin, bitcoin-bin, bitcoin-cli, bitcoin-core, bitcoin-core-git, bitcoin-daemon, bitcoin-qt, bitcoin-tx, bitcoind
Provides: bitcoin, bitcoin-bin, bitcoin-cli, bitcoin-core, bitcoin-daemon, bitcoin-qt, bitcoin-tx, bitcoind
Submitter: krevedko
Maintainer: pizzaman
Last Packager: pizzaman
Votes: 17
Popularity: 0.000381
First Submitted: 2011-06-19 19:13
Last Updated: 2019-08-08 08:28

Latest Comments

1 2 3 Next › Last »

pizzaman commented on 2019-08-08 08:47

@PedroHLC Python3 added to makedepends. Thanks.

PedroHLC commented on 2019-08-06 21:01

On a clean-chroot checks fails with:

/usr/bin/env: "python3": No such file or directory

Mising python as a dependency?

pizzaman commented on 2019-07-18 12:00

@eggz Updated

eggz commented on 2018-12-30 12:25

So, we're at 0.17.1 now. Is this package going to get an update or should I just link people to https://bitcoincore.org/bin/ ?

allspark commented on 2018-10-28 09:20

Hi

db4.8 should be a dependencies (not only makedepends)

Tr4sK commented on 2018-09-28 11:52

The master and 0.17 branches are missing all the files in contrib/debian/.

But, they are available in the v0.16.0 tag or 0.16 branch. Maybe you should follow one of those.

If I comment out those files, it successfully build. Here is the build info:

bitcoin-cli --version
Bitcoin Core RPC client version v0.17.99.0-9b8bb5f140
bitcoind --version
Bitcoin Core Daemon version v0.17.99.0-9b8bb5f140

Edit: I found the commit wich deleted those files

All the files missing have been moved to that repo: https://github.com/bitcoin-core/packaging/tree/master/debian

JKAbrams commented on 2018-09-24 06:51

-> Installing bitcoin-qt... Error on file "/tmp/trizen-jk/bitcoin-git/src/bitcoin/contrib/debian/bitcoin-qt.desktop": No such file or directory

eserlxl commented on 2018-09-20 07:27

[SOLVED] After a fresh pacman -Syu, bitcoin-qt stops while switching SSLv3 to TLS without any error messages or logs.

I've also reported the issue to bbs and bitcoin github.

https://bbs.archlinux.org/viewtopic.php?id=240553

https://github.com/bitcoin/bitcoin/issues/14273

I found an interesting fix for this issue. An unnecessary SSL library version check allows bitcoin-qt to run again. You can check the details from the links above.

Raansu commented on 2018-05-31 20:32

Let me know if there are any issues!

Updated 05/31/2018

Updated pkgver to latest git revision as of upload

Added zeromq to dependencies in PKGBUILD

Preformed test of PKGBUILD; successfully compiled on my system at the time of upload.

Raansu commented on 2018-03-13 15:04

Let me know if there are any issues!

Updated 03/13/2018

Fixed PKGBUILD, updated manpage file locations.

Updated pkgver to latest git revision as of upload.

Added 'bitcoin-cli' to conflicts and added 'bitcoin-core' to provides.